# Troubleshooting download problems

If your're having trouble getting your code onto the EV3 Brick, try these steps to see if you can fix the problem.

## Check your **@drivename@** firmware

MakeCode requires the firmware version **1.10E** or up. 

### ~hint

Firmware is the software that runs all the basic operations on your brick. Your programs run with the firmware to make the @boardname@ do all the things you want it to do. Your brick comes with the firmware already installed. You could have a brick with an older version of firmware that needs updating in order for it to work properly with MakeCode.

### ~

To check the version on your brick,

* go to the **Settings** menu (wrench symbol)
* select to **Brick Info**

![Brick Info menu](/static/setup/brickinfo.jpg)

* check the version under **Brick FW:**

![Brick Firmware version](/static/setup/brickfw.jpg)

If you cannot find the **brick info** or the version is less than **1.10E**, **you need to upgrade your firmware**.

## Upgrade your **@drivename@**

If your firmware is less than **1.10E**, you need to upgrade your firmware. 

Recommended: **[Upgrade with the EV3 manager](https://ev3manager.education.lego.com/)** 

You can also upgrade via EV3 Lab, EV3 Programming or even manually. Learn more at the [Firmware Update](https://education.lego.com/en-us/support/mindstorms-ev3/firmware-update) support page.

### ~

## Can I see the **@drivename@** drive on my computer?

When your EV3 Brick is connected to your computer, you should see a new drive called **@drivename@** attached.

On Windows, it looks like this in Explorer:

![@drivename@ Drive in Windows Explorer](/static/setup/ev3-drive-windows.png)

If you don't see the **@drivename@** drive, make sure your brick is powered on and check that your USB connection is good.

## Is my brick charged and powered on?

Make sure your brick is charged and powered on. If your brick doesn't turn on, find the charger and plug it into wall power, then connect it to your brick. Does it turn on and start up?

## Is my USB connection good?

Make sure that one end of your USB cable is firmly inserted into the port on the computer and the other end is connected to the brick. If you still can't see the **@drivename@** drive, try a different port on the computer. If that doesn't work then maybe your cable is bad or you need to reset the brick.

## How do I reset my brick?

If you think your USB connection is good and you still can't see your **@drivename@** drive, try giving the brick a reset. You can follow these steps to reset:

1. Using a finger from one hand, press the **Back** button. Keep holding it.
2. With your other hand, use two fingers to hold down both the **Left** button and the **Enter** button. You hold these at the same time while you're still pressing the **Back** button.
3. Now, release your finger from the **Back** button.
4. When the brick says "Starting.." you can let go of the **Left** and **Enter** buttons.

You can also watch this [How to Reset](https://www.lego.com/en-us/videos/themes/mindstorms/how-to-reset-the-ev3-p-brick-fbcbdbed398e4e12a7ce30fa662c54be) video to see how to do a reset.

## LEGO Support

If you've checked everything here and can't get the **@drivename@** drive to show up on your computer, you can't make the brick reset, or your program just won't download, then try the [Troubleshooting Walkthrough](https://www.lego.com/en-us/service/help/products/themes-sets/mindstorms/lego-mindstorms-ev3-troubleshooting-walkthrough-408100000009798).

You can also find more help at [LEGO Support](https://www.lego.com/en-us/mindstorms/support).
